package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.work.domain.Column;

import java.util.List;
import java.util.Map;

/**
 * @author lishuwen
 * @date 2022-10-30
 */
public interface IColumnService extends IService<Column> {
    List<Column> selectList(Column column);

    List<Map<String, Object>> treeJson(Column column);

    List<Map<String, Object>> selectByTitle(Column column);

    Column selectRegion(Column column);

    List<Map<String, Object>> selectCityAll();
}
